Search By Firm
Introduction
The curl command provided is an example of how to make a POST request to the Signzy API version 2 endpoint for patrons with an ICWAIS identifier. The API allows users to interact with the Signzy platform to automate various workflows related to KYC, AML, and identity verification.
Sample Curl
curl --request POST \
--url https://signzy.tech/api/v2/patrons/....patronid..../icwais \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"type":"..firms..","essentials":{"firmNumber":"...firmNumber..."}}'Parameter | Description |
|---|---|
patronize | A unique identifier for the patron in the Signzy system. |
Access-Token | An access token is obtained by authenticating with the Signzy API. |
type | Indicates the type of patron. Can be either "individual" or "firm". |
firmNumber | A unique identifier for the firm. |
content-type | The format of the request body. Must be set to "application/JSON". |
Sample Response
{
"result": {
"entityName": "...entityName...",
"constitutionDate": "...constitutionDate...",
"address": "...address...",
"splitAddress": {
"state": [
[]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
}Parameter | Description |
|---|---|
entityName | The name of the entity for which the information was requested. |
constitutionDate | The date of the entity's constitution or formation. |
address | The complete address of the entity. |
splitAddress.state | An array of arrays that contain the state name and code of the entity's address. |
splitAddress.district | The district of the entity's address. |
splitAddress.city | The city of the entity's address. |
splitAddress.pincode | The postal code or zip code of the entity's address. |
splitAddress.country | An array of possible country codes for the entity's address. |
splitAddress. address in the constitution at the | The street or house number of the entity's address. |